%define major		6
%define major_port	12
%define libname		%mklibname gphoto %{major}
%define develname	%mklibname gphoto -d


%define extraversion %nil

Summary:	Library to access digital cameras
Name:		libgphoto
Version:	2.5.10
Release:	%mkrel 1
License:	LGPL+ and GPLv2 and (LGPL+ or BSD-like)
Group:		System/Libraries
URL:		http://sourceforge.net/projects/gphoto/
Source0: 	http://downloads.sourceforge.net/project/gphoto/%{name}/%{version}/%{name}2-%{version}%{?extraversion:%extraversion}.tar.xz
#-------------------------------------
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}gd-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lockdev1-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}usb-compat0.1-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	udev-tools
BuildRequires:	libhal-devel
#-------------------------------------

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel

This package contains the library that digital camera applications
can use.

Frontends (GUI and command line) are available separately.

%package -n %{libname}
Summary:	Library to access to digital cameras
Group:		System/Libraries
Requires: 	libusb >= 0.1.5
Requires:	%{name}-common = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Obsoletes:  gtkam
Obsoletes:	gtkam-gimp

%description -n %{libname}
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%package common
Summary:	Non-library files for the "%{libname}" library
Group:		System/Libraries

%description common
Platform-independent files for the "%{libname}" library

%package -n %{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/Libraries
Requires: 	%{libname} >= %{version}
Requires:	multiarch-utils
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gphoto2-devel = %{version}-%{release}
Obsoletes:	%{mklibname gphoto 2 -d}


%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -q -n %{name}2-%{version}%{?extraversion:%extraversion}

%build

export udevscriptdir=/lib/udev

%configure2_5x \
    --disable-rpath \
    --disable-resmgr \
    --disable-baudboy \
    --disable-ttylock \
    --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

# Fix up libtool libraries.
find %{buildroot} -name '*.la' -delete

#
mkdir -p %{buildroot}/lib/udev/rules.d
LD_LIBRARY_PATH=%{buildroot}/%{_libdir} CAMLIBS=%{buildroot}/%{_libdir}/libgphoto2/%{version} %{buildroot}%{_libdir}/libgphoto2/print-camera-list udev-rules version 175 > %{buildroot}/lib/udev/rules.d/40-libgphoto2.rules

# Create HAL FDI file
install -d -m755 %{buildroot}/usr/share/hal/fdi/information/20thirdparty/
	export LIBDIR=%{buildroot}%{_libdir}
	export CAMLIBS=%{buildroot}%{_libdir}/libgphoto2/%{version}
	export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
	%{buildroot}%{_libdir}/libgphoto2/print-camera-list hal-fdi | \
	grep -v "<!-- This file was generated" \
	> %{buildroot}/%{_datadir}/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi


%find_lang libgphoto2-%{major}
%find_lang libgphoto2_port-%{major_port}
cat libgphoto2-%{major}.lang libgphoto2_port-%{major_port}.lang > %{name}.lang

# Multiarch setup
%multiarch_binaries %buildroot%{_bindir}/gphoto2-config
%multiarch_binaries %buildroot%{_bindir}/gphoto2-port-config

rm -rf %{buildroot}%{_docdir}/libgphoto2_port

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/*.so.%{major_port}*

%files common -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/libgphoto2
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
/lib/udev/rules.d/40-libgphoto2.rules
/lib/udev/check-ptp-camera 
%{_datadir}/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
%{_datadir}/libgphoto2_port/0.12.0/vcamera/README.txt

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/gphoto2
%{_libdir}/*.so

%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%docdir %{_docdir}/%{name}2
%{_docdir}/%{name}2

%doc ABOUT-NLS ChangeLog HACKING MAINTAINERS TESTERS

%clean
rm -rf %buildroot

%changelog
* Wed May 25 2016 bb <bb> 2.5.10-1pclos2016
- update

* Sun Sep 14 2014 bb <bb> 2.5.5.1-1pclos2014
- update

* Mon May 26 2014 bb <bb> 2.5.4-1pclos2014
- update

